:root, [data-bs-theme=light] {
  --bs-primary: #2e7d32;
  --bs-secondary-rgb: 21,58,23;
  --bs-primary-rgb: 46, 125, 50;
}

[data-bs-theme=dark] {
  --bs-body-bg-rgb: 30,17,12;
}

:root {
  --font-base: "Inter", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
  --font-heading: "Montserrat", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
  --bs-emphasis-color-rgb: 46, 125, 50;
  --swiper-navigation-size: 36px;
}

body {
  font-family: var(--font-base);
  font-weight: 400;
  line-height: 1.5;
  color: #222;
}

/* Заголовки */

h1, h2, h3, .heading {
  font-family: var(--font-heading);
  font-weight: 700;
}

h4, h5, h6 {
  font-family: var(--font-heading);
  font-weight: 600;
}

a {
  color: rgb(46, 125, 50);
}

a:hover {
  color: rgb(27, 94, 32);
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #2e7d32;
  --bs-btn-border-color: #2e7d32;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1b5e20;
  --bs-btn-hover-border-color: #1b5e20;
  --bs-btn-focus-shadow-rgb: 85, 122, 246;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1b5e20;
  --bs-btn-active-border-color: #1b5e207;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #2e7d32;
  --bs-btn-disabled-border-color: #2e7d32;
}

.hero-banner {
  height: 700px;
  background-image: url("../../assets/img/fon77.webp");
  background-position: center;
  background-size: cover;
}

@media (max-width: 600px) {
  .hero-banner {
    height: 300px;
    background-image: url("../../assets/img/fon77.webp");
    background-position: center;
    background-size: cover;
  }
}

@media (max-width: 600px) {
  .hero-banner .container .row {
    padding-top: 250px;
  }
}

@media (max-width: 600px) {
  section.hero {
    padding-bottom: 390px;
  }
}

@media (max-width: 600px) {
  .hero-banner .container .row [class^="col-"] {
    background: linear-gradient(180deg,rgba(0, 0, 0, 0) 0%, rgba(46, 125, 50, 0.90) 5%);
    padding-bottom: 1rem;
  }
}

@media (max-width: 450px) {
  .napravlenya h3.fs-5 {
    font-size: 1rem !important;
  }
}

@media (max-width: 800px) {
  .napravlenya .a123 {
    min-height: 250px;
  }
}

.a123 a.stretched-link {
  transition: all 0.3s ease;
}

.a123:hover {
  transform: translateY(-3px);
  box-shadow: 0 15px 35px rgba(0,0,0,0.02);
  transition: all 0.3s ease;
  border-radius: 0.5rem;
  opacity: 0.9;
}

.price-house {
  padding-bottom: 1rem;
  border-bottom: 1px solid rgba(0,0,0,0.1);
}

.list-house {
  font-size: 0.95rem;
}

.cart-badge {
  font-size: 0.7em !important;
  background-color: #B86F52;
}

.articul {
	min-width:300px;
}

@media (max-width: 1366px) {
.articul {
	min-width:180px;
}
}

@media (max-width: 1024px) {
.articul {
	min-width:auto;
}
}

input.input_backet {
    width: 50px;
    display: inline-block;
    margin: 0 1em;
    vertical-align: middle;
    height: auto !important;
}

.order-show-item input {
    text-align: center;
    max-width: 70px;
    padding: 5px;
}


.progress-2 div.active {
    background-color: #2e7d32 !important;
    color: #fff;
    width:100%;
}


.progress-2 div {
    background-color: #777 !important;
    color: #fff;
     width:100%;
}


table.order-show-item {
	font-size:14px;
}


table.order-show-item td {
	vertical-align: middle !important;
}


table.order-show-item > thead > tr > th  {
	
	vertical-align: middle !important;
	background-color: #f0eceb;
	}

.order-show-item input {
	text-align: center;
	max-width: 70px;
	padding: 5px;
}

.order-show-dostavka input {
	margin: 0 5px 0 0;
}


hr.order-show {
	margin:10px !important;
}


.input-group {
  flex-wrap: initial;
  border-radius: 0.375rem;
} 


textarea, input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"] {
	height: 44px;
	font-size:16px;
}

.form-control {
	height:auto;
}


.form-group label {
    text-align: left !important;
	padding-bottom: 3px;
	line-height: 1.25;
	}


.input-group-addon {
    background-color:#2e7d32;;
	color: #fff;
	padding: 6px 15px;
	min-width:47px;
	border-radius: 0.375rem 0 0 0.375rem;;
}


.input-group-addon, .input-group-btn {
    width: 1%;
    white-space: nowrap;
    align-items: center;
}
.input-group-addon, .input-group-btn, .input-group .form-control {
    display: flex;
}

.forma-zakaza label {
	margin: 15px 0 5px 5px;
	font-size:14px;
	
}

textarea {
  display: block;
  width: 100%;
  height: 100% !important;
  border-radius: 0.375rem;
}


